petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscLogView

Prints a summary of the logging.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogView(PetscViewer viewer)

Collective over MPI_Comm

### Input Parameter

viewer -an ASCII viewer

### Options Database Keys

| -log_view [:filename] | - Prints summary of log information
| -log_view :filename.py:ascii_info_detail | - Saves logging information from each process as a Python file
| -log_view :filename.xml:ascii_xml | - Saves a summary of the logging information in a nested format, use a browser to open this file, for example on Apple MacOS systems use open -a Safari filename.xml
| -log_all | - Saves a file Log.rank for each MPI process with details of each step of the computation
| -log_trace [filename] | - Displays a trace of what each process is doing

### Notes

It is possible to control the logging programatically but we recommend using the options database approach whenever possible By default the summary is printed to stdout.

Before calling this routine you must have called either PetscLogDefaultBegin() or PetscLogNestedBegin()

If PETSc is configured with --with-logging=0 then this functionality is not available

The nested XML format was kindly donated by Koos Huijssen and Christiaan M. Klaij MARITIME RESEARCH INSTITUTE NETHERLANDS

### Keywords

log, dump, print

### See Also

PetscLogDefaultBegin(), PetscLogDump()

Level:beginner
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages